Skip to main content
GET
/
v6
/
banks
/
transactions
/
rules
/
{id}
Get transaction rule
curl --request GET \
  --url https://sandbox.tight.com/v6/banks/transactions/rules/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "trl_5445116",
    "status": "ACTIVE",
    "filter": {
      "description": {
        "equal": "Office Supplies",
        "contain": "Supplies"
      },
      "amount": {
        "equal": 123,
        "greaterThan": 123,
        "greaterThanEqual": 123,
        "lessThan": 123,
        "lessThanEqual": 123
      },
      "vendor": {
        "id": {
          "equal": "tgla_324231"
        }
      },
      "glAccount": {
        "id": {
          "equal": "tgla_324231"
        }
      },
      "bankAccount": {
        "id": {
          "equal": "tgla_324231"
        }
      }
    },
    "update": {
      "glAccount": {
        "id": "gla_38560327",
        "name": "Officer(s) Salaries and Wages",
        "accountNo": "60210",
        "type": "EXPENSE",
        "iconUrl": "https://cdn.sandbox.tight.com/icons/glAccountTypes/expense.png",
        "displayName": "#60210 Officer(s) Salaries and Wages"
      },
      "vendor": {
        "id": "vnd_28868401",
        "name": "Gusto"
      },
      "customer": {
        "id": "cus_4852707",
        "name": "Abigail Adams",
        "email": "abigail@tight.com"
      },
      "reviewStatus": "RECONCILED",
      "dimensionValues": [
        {
          "id": "dv_593051",
          "dimension": {
            "id": "dim_4521",
            "name": "Region",
            "requiredness": "NOT_REQUIRED"
          },
          "name": "Mid-Atlantic",
          "child": {
            "id": "dv_593052",
            "dimension": {
              "id": "dim_4521",
              "name": "Region",
              "requiredness": "NOT_REQUIRED"
            },
            "name": "Washington DC",
            "child": "<unknown>"
          }
        }
      ]
    },
    "matchCount": 4,
    "lastAppliedDateTime": "2023-11-07T05:31:56Z",
    "filterDisplayName": "Vendor is \"Starbucks\"",
    "updateDisplayName": "Set glAccount as \"Taxi\"",
    "customData": {
      "internal_key": "some_internal_key",
      "some_other_field": 23434
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, see Authentication for more detail.

Path Parameters

id
string
required

The id of the transaction rule

Response

Success

result
enum<string>

The result of the action performed.

Available options:
SUCCESS,
FAILURE
data
object

The data generated by the action performed.